classworlds-1.1-lp150.55.1.noarch.rpm


Advertisement

Description

classworlds - Classworlds Classloader Framework

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE JAVA all
Package name classworlds
Package version 1.1
Package release lp150.55.1
Package architecture noarch
Package type rpm
Installed size 42.85 KB
Download size 43.95 KB
Official Mirror ftp.gwdg.de
Classworlds is a framework for container developers
who require complex manipulation of Java's ClassLoaders.
Java's native ClassLoader mechanims and classes can cause
much headache and confusion for certain types of
application developers. Projects which involve dynamic
loading of components or otherwise represent a 'container'
can benefit from the classloading control provided by
classworlds.

Alternatives

Package Version Architecture Repository
classworlds-1.1-lp150.1.11.noarch.rpm 1.1 noarch openSUSE Oss
classworlds - - -

Requires

Name Value
java-headless -
javapackages-tools -
xerces-j2 -
xml-commons-apis -

Provides

Name Value
classworlds = 1.1-lp150.55.1
mvn(classworlds:classworlds) = 1.1
mvn(classworlds:classworlds:pom:) = 1.1

Download

Type URL
Binary Package classworlds-1.1-lp150.55.1.noarch.rpm
Source Package classworlds-1.1-lp150.55.1.src.rpm

Install Howto

  1. Add the openSUSE JAVA repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Java:/packages/openSUSE_Leap_15.0/ opensuse-java
  2. Install classworlds rpm package:
    # zypper install classworlds

Files

Path
/usr/share/doc/packages/classworlds/LICENSE.txt
/usr/share/java/classworlds-1.1.jar
/usr/share/java/classworlds.jar
/usr/share/maven-metadata/classworlds.xml
/usr/share/maven-poms/JPP-classworlds.pom

Changelog

2018-05-16 - fstrba@suse.com
- Build with source and target 8 to prepare for a possible removal
of 1.6 compatibility
- Added patch:
* classworlds-1.1-deprecated.patch
+ File.toURL() is deprecated
2017-09-18 - fstrba@suse.com
- Specify java source and target level 1.6 in order to allow build
with jdk9
- Clean spec file
2017-05-19 - pcervinka@suse.com
- New build dependency: javapackages-local
- Fixed requires
- Removed maven conditions
- Spec file cleaned
2015-03-18 - tchvatal@suse.com
- Fix build with new javapackages-tools
2013-09-09 - tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
2013-08-28 - mvyskocil@suse.com
- use add_maven_depmap from javapackages-tools
- use pom file from repo1.maven.org
2012-05-10 - cfarrell@suse.com
- license update: BSD-3-Clause
Open Source is not a recognised license. Use the proper license
(BSD-3-Clause) in SPDX format
2009-06-03 - mvyskocil@suse.cz
- Initial SUSE packaging from jpackage.org 5.0

See Also

Package Description
classworlds-javadoc-1.1-lp150.55.1.noarch.rpm Javadoc for classworlds
concurrent-1.3.4-lp150.572.1.noarch.rpm Utility Classes for Concurrent Java Programming
cpptasks-1.0b5-lp150.16.1.noarch.rpm Compile and link task
cpptasks-javadoc-1.0b5-lp150.16.1.noarch.rpm Javadoc for cpptasks
cunit-devel-2.1.3-lp150.15.1.i586.rpm CUnit development files
cunit-devel-2.1.3-lp150.15.1.x86_64.rpm CUnit development files
cunit-doc-2.1.3-lp150.15.1.i586.rpm CUnit documentation
cunit-doc-2.1.3-lp150.15.1.x86_64.rpm CUnit documentation
derby-10.13.1.1-lp150.3.1.noarch.rpm Embeddable Database Engine Written in Java
derby-javadoc-10.13.1.1-lp150.3.1.noarch.rpm Embeddable Database Engine Written in Java
dom2-core-tests-0.0.1-lp150.50.1.noarch.rpm DOM Conformance Test Suite
dom4j-1.6.1-lp150.57.1.noarch.rpm JarJar of dom4j for JBoss
dom4j-demo-1.6.1-lp150.57.1.noarch.rpm XML, XPath and XSLT library for Java
dom4j-javadoc-1.6.1-lp150.57.1.noarch.rpm XML, XPath and XSLT library for Java
dom4j-manual-1.6.1-lp150.57.1.noarch.rpm JarJar of dom4j for JBoss
Advertisement
Advertisement